<?php

/**
* PHP versions 4 and 5
*
* LICENSE: This source file is subject to version 3.0 of the PHP license
* that is available through the world-wide-web at the following URI:
* http://www.php.net/license. If you did not receive a copy of
* the PHP License and are unable to obtain it through the web, please
* send a note to license@php.net so we can mail you a copy immediately.
*
* @package    QT-registrations
* @author     Philippe Vandenberghe <info@qt-cute.org>
* @copyright  2008-2012 The PHP Group
* @version    2.4.1 build:20100412
*/

session_start();
require_once('bin/qtr_init.php');
include(Translate('qtr_adm.php'));
if ( $oVIP->role!='A' ) die(Error(13));

// INITIALISE

$strVersion='v2.4';
$oVIP->selfurl = 'qtrm_import_xml_uninstall.php';
$oVIP->selfname = 'Unnstallation module IMPORT QTR '.$strVersion;

// UNINSTALL

$oDB->Query('DELETE FROM '.TABSETTING.' WHERE param="module_import_xml"');
if ( isset($_SESSION[QT]['m_import_xml']) ) unset($_SESSION[QT]['m_import_xml']);

// --------
// Html start
// --------

include('qtr_adm_p_header.php');

echo '
<h1>',$oVIP->selfname,'</h1>
<h2>Removing database settings</h2>
<p>Ok</p>
<h2>Uninstall completed</h2>
<p>You can delete files:<br/>qtrm_import_xml_adm.php<br/>qtrm_import_xml_install.php<br/>qtrm_import_xml_uninstall.php</p>
';

include('qtr_adm_p_footer.php');

?>
